using System;
using System.Collections.Generic;
using System.Collections.Specialized;

namespace Sasa.QualityTools.DrFx.Tests.Violation.CSharp.Microsoft.Globalization
{
   public static  class Rule1309
    {
        // このメソッドは CA1309:StringComparer に違反しています。
       public static string[] Sort(string[] values)
       {
           List<string> collection = new List<string>(values);
           collection.Sort(StringComparer.InvariantCulture);
           return collection.ToArray();
       }

       // このメソッドは CA1309:StringComparison に違反しています。
       public static int Compare(string value1, string value2)
       {
           return String.Compare(value1, value2, StringComparison.InvariantCulture);
       }
    }
}
